# TJScalingFactor

Package org.libjpegturbo.turbojpeg

## Class TJScalingFactor

- java.lang.Object
- - org.libjpegturbo.turbojpeg.TJScalingFactor

    public class TJScalingFactor
    extends java.lang.Object

Fractional scaling factor

### Constructor Summary

Constructors
`TJScalingFactor​(int num, int denom)` Create a TurboJPEG scaling factor instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(TJScalingFactor other)` Returns true or false, depending on whether this instance and `other` have the same numerator and denominator.
`int` `getDenom()` Returns denominator
`int` `getNum()` Returns numerator
`int` `getScaled​(int dimension)` Returns the scaled value of `dimension`.
`boolean` `isOne()` Returns true or false, depending on whether this instance is equal to 1/1.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TJScalingFactor

    public TJScalingFactor​(int num,
                           int denom)

Create a TurboJPEG scaling factor instance.

Parameters:
  `num` - numerator
  `denom` - denominator

### Method Detail

#### getNum

    public int getNum()

Returns numerator

Returns:
  numerator

#### getDenom

    public int getDenom()

Returns denominator

Returns:
  denominator

#### getScaled

    public int getScaled​(int dimension)

Returns the scaled value of `dimension`. This method performs the integer equivalent of `Math.ceil(dimension * scalingFactor)`.

Parameters:
  `dimension` - width or height to multiply by this scaling factor
Returns:
  the scaled value of `dimension`.

#### equals

    public boolean equals​(TJScalingFactor other)

Returns true or false, depending on whether this instance and `other` have the same numerator and denominator.

Parameters:
  `other` - the scaling factor against which to compare this one
Returns:
  true or false, depending on whether this instance and `other` have the same numerator and denominator.

#### isOne

    public boolean isOne()

Returns true or false, depending on whether this instance is equal to 1/1.

Returns:
  true or false, depending on whether this instance is equal to 1/1.